unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AGLClasses, AGLObjects, StdCtrls, Buttons, AGLGeom, ExtCtrls;

type
  TForm1 = class(TForm)
    AGLPanel1: TAGLPanel;
    AGLScene1: TAGLScene;
    AGLLight1: TAGLLight;
    AGLCamera1: TAGLCamera;
    AGLHeightField1: TAGLHeightField;
    AGLLabel1: TAGLLabel;
    AGLActor1: TAGLActor;
    AGLLight2: TAGLLight;
    AGLBox1: TAGLBox;
    AGLActor2: TAGLActor;
    procedure AGLHeightField1GetHeight(Sender: TAGLObject; X, Y: Double;
      var Z: Double);
    procedure AGLActor1Action(Sender: TAGLObject; Time: Double);
    procedure AGLActor2Action(Sender: TAGLObject; Time: Double);
    procedure AGLHeightField1GetExtents(Sender: TAGLObject; var min,
      max: TGLArrayd3);
  private
  public
    phase: double
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AGLHeightField1GetHeight(Sender: TAGLObject; X, Y: Double;
  var Z: Double);
begin
  z := sin(sqr(x/3)+sqr(y/3)-phase);
end;

procedure TForm1.AGLHeightField1GetExtents(Sender: TAGLObject; var min,
  max: TGLArrayd3);
begin
  min[2] := -1; max[2] := 1; 
end;

procedure TForm1.AGLActor1Action(Sender: TAGLObject; Time: Double);
begin
  phase := phase + 0.3;
end;

procedure TForm1.AGLActor2Action(Sender: TAGLObject; Time: Double);
begin
  AGLActor2.XForm.mRotate(0,0,0, 0,0,1, 1);
end;



end.
