unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AGLClasses, AGLObjects, ComCtrls, Buttons, ToolWin, ExtCtrls, Menus, AGLFiles,
  StdCtrls;

type
  TForm1 = class(TForm)
    AGLPanel1: TAGLPanel;
    ToolBar1: TToolBar;
    SelectSB: TSpeedButton;
    ToolButton1: TToolButton;
    TruckSB: TSpeedButton;
    PanSB: TSpeedButton;
    OrbitSB: TSpeedButton;
    RollSB: TSpeedButton;
    ToolButton2: TToolButton;
    DollySB: TSpeedButton;
    FOVSB: TSpeedButton;
    PerspSB: TSpeedButton;
    ResetSB: TSpeedButton;
    ToolButton3: TToolButton;
    ShadowScene: TAGLScene;
    Camera: TAGLCamera;
    MainLight: TAGLLight;
    ShadowBitBtn: TBitBtn;
    AGLPolygon1: TAGLPolygon;
    AGLPolygon2: TAGLPolygon;
    AGLPolygon3: TAGLPolygon;
    AGLMaterialLibrary1: TAGLMaterialLibrary;
    AGLSphere1: TAGLSphere;
    AGLSphere2: TAGLSphere;
    AGLLight1: TAGLLight;
    AGLActor1: TAGLActor;
    procedure TruckSBClick(Sender: TObject);
    procedure ShadowBitBtnClick(Sender: TObject);
    procedure AGLActor1Action(Sender: TAGLObject; Time: Double);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.TruckSBClick(Sender: TObject);
var
  mm: TAGLMouseMode;
begin
  mm := AGLPanel1.PanelControl.MouseLeft;

  if Sender = SelectSB then mm := mmSelect;

  if Sender = TruckSB then mm := mmTruck;
  if Sender = PanSB then mm := mmPan;
  if Sender = OrbitSB then mm := mmOrbit;
  if Sender = RollSB then mm := mmRoll;

  if Sender = DollySB then mm := mmDolly;
  if Sender = FOVSB then mm := mmFOV;
  if Sender = PerspSB then mm := mmPerspective;

  if Sender = ResetSB then AGLPanel1.Camera.Reset;

  AGLPanel1.PanelControl.MouseLeft := mm;
end;

procedure TForm1.ShadowBitBtnClick(Sender: TObject);
begin
  AGLPanel1.Camera.Scene.Reflections := not AGLPanel1.Camera.Scene.Reflections;
end;

procedure TForm1.AGLActor1Action(Sender: TAGLObject; Time: Double);
begin
  Sender.XForm.mRotate(0,0,0, 0,0,1, 5);
end;

end.
