unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AGLClasses, AGLObjects, ComCtrls, Buttons, ToolWin, ExtCtrls, Menus, AGLFiles,
  StdCtrls;

type
  TForm1 = class(TForm)
    AGLPanel1: TAGLPanel;
    ToolBar1: TToolBar;
    SelectSB: TSpeedButton;
    ToolButton1: TToolButton;
    TruckSB: TSpeedButton;
    PanSB: TSpeedButton;
    OrbitSB: TSpeedButton;
    RollSB: TSpeedButton;
    ToolButton2: TToolButton;
    DollySB: TSpeedButton;
    FOVSB: TSpeedButton;
    PerspSB: TSpeedButton;
    ResetSB: TSpeedButton;
    ToolButton3: TToolButton;
    ShadowScene: TAGLScene;
    Camera: TAGLCamera;
    AGLBox1: TAGLBox;
    BlueLight: TAGLLight;
    AGLBox2: TAGLBox;
    AGLBox3: TAGLBox;
    AGLBox4: TAGLBox;
    GreenBlocks: TAGLActor;
    AGLBox5: TAGLBox;
    AGLBox6: TAGLBox;
    RedBlocks: TAGLActor;
    BlueBlocks: TAGLActor;
    AGLBox7: TAGLBox;
    AGLBox8: TAGLBox;
    AGLBox9: TAGLBox;
    AGLBox10: TAGLBox;
    AGLBox11: TAGLBox;
    AGLBox12: TAGLBox;
    AGLBox13: TAGLBox;
    AGLBox14: TAGLBox;
    AGLBox15: TAGLBox;
    AGLBox16: TAGLBox;
    AGLBox17: TAGLBox;
    AGLBox18: TAGLBox;
    Floor: TAGLBox;
    RedLight: TAGLLight;
    GreenLight: TAGLLight;
    MainLight: TAGLLight;
    ShadowBitBtn: TBitBtn;
    Button2: TButton;
    Button3: TButton;
    procedure TruckSBClick(Sender: TObject);
    procedure ShadowBitBtnClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Printers, Unit2;

{$R *.DFM}

procedure TForm1.TruckSBClick(Sender: TObject);
var
  mm: TAGLMouseMode;
begin
  mm := AGLPanel1.PanelControl.MouseLeft;

  if Sender = SelectSB then mm := mmSelect;

  if Sender = TruckSB then mm := mmTruck;
  if Sender = PanSB then mm := mmPan;
  if Sender = OrbitSB then mm := mmOrbit;
  if Sender = RollSB then mm := mmRoll;

  if Sender = DollySB then mm := mmDolly;
  if Sender = FOVSB then mm := mmFOV;
  if Sender = PerspSB then mm := mmPerspective;

  if Sender = ResetSB then AGLPanel1.Camera.Reset;

  AGLPanel1.PanelControl.MouseLeft := mm;
{  AGLPanel2.MouseMode := mm;
  AGLPanel3.MouseMode := mm;
  AGLPanel4.MouseMode := mm;}
end;

procedure TForm1.ShadowBitBtnClick(Sender: TObject);
begin
  AGLPanel1.Camera.Scene.Shadows := not AGLPanel1.Camera.Scene.Shadows;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Form2.Image1.Picture := nil;
  AGLPanel1.RenderToCanvas(
    Form2.Image1.Canvas,
    Form2.Image1.Width,
    Form2.Image1.Height,
    false);
  Form2.Show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  AGLPanel1.Print(Printer);
end;

end.
